Subject: sharing mailboxes across partitions, locked out

From: "Brian A. Todd" <[email-masked]>
Date: Tue, 30 Apr 2002 11:17:51 -0400 (Eastern Daylight Time)

Dear pine-infoers,

I had a beautiful setup working previously where Pine on my RedHat
partition shared the mailboxes and addressbook that resided on a vfat
partition.  This way, I could access email identically on Linux and PC
(Pine version 4.43).

I just setup a new computer with NetBSD and Win98 and attempted to do the
same thing but I'm having problems on the NetBSD side.  When I attempt to
access a folder from NetBSD, pine hangs for a while and then indicates
that the mailbox is locked ... waits 240 secs and then finally accesses
the folder.

I assume this has to do with some problem making the lock file on a
partition that doesn't support permissions.  I definately have write
permission on the partition, so that isn't the problem.  I'm confused as
to why linux could do it?

So my question is, is there any known work around?  I've seen a "solution"
posted to this list that I should make symlinks onto the unix partition
but I'd really rather not do that since it requires me to manually create
symlinks every time I create a new mailbox.  Can I direct Pine to create
the lockfile in some better place?

Thanks,
Brian Todd

PS I love Pine

-- 
-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------